| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | List of all members
IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType > Class Template Referenceabstract

Base class for various DTO (Data Transfer Objects) for scalar function controllers. Used to store a state of a scalar function. More...

Inheritance diagram for IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >:
[legend]
Collaboration diagram for IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >:
[legend]

## Public Member Functions
| VectorFunctionScriptDtoBase ()
| Default constructor, sets IsNull to true. More...
| VectorFunctionScriptDtoBase (int spaceDimension)
| Constructor, prepares the current DTO for storing a scalar function of the specified dimension. More...
abstract FunctionControllerType | CreateVectorFunctionController (int numParameters, int numValues)
| Creates and returns a new vector cast to the interface type IVector. More...
override FunctionControllerType | CreateObject ()
| Creates and returns a new vector of the specified type and dimension. More...

## Protected Member Functions
override void | CopyFromPlain (VectorFunctionScriptController functionController)
| Copies data to the current DTO from a scaalr function object. More...
override void | CopyToPlain (ref VectorFunctionScriptController functionController)
| Copies data from the current DTO to a scalar function object. More...

## Properties
ScalarFunctionDtoType[] | ScalarFunctions`[get, set]`
| Array of scalar function controller DTOs. More...
virtual int | NumParameters`[get, set]`
| Dimension of the parameter space. More...
virtual int | NumValues`[get, set]`
| Dimension of function codomain (i.e., the number of returned values). More...
virtual string | Name`[get, set]`
| Scalar function name. More...
virtual string | Description`[get, set]`
| Scalar function description. More...
virtual string[] | ParameterNames`[get, set]`
| Names of function parameters. More...
virtual string[] | FunctionNames`[get, set]`
| Names of function values, i.e. scalar funcitons that define return values of the vector function. More...
virtual string | ZType`[get, set]`
virtual InputOutputDataDefinitonDto | ZDataDefinition`[get, set]`

## Detailed Description

Base class for various DTO (Data Transfer Objects) for scalar function controllers. Used to store a state of a scalar function.

Beside as data transfer object, this class provides a variety of manipulations that are necessary when defining scalar functions from scripts (user definitions).

Template Parameters

  FunctionControllerType | Type parameter specifying the specific scalar function controller type for which concrete DTO is designed.

$A Igor Feb16;

Type Constraints

  FunctionControllerType | : | VectorFunctionScriptController |
  ScalarFunctionControllerType | : | ScalarFunctionScriptController |
  ScalarFunctionDtoType | : | ScalarFunctionScriptDto |
  ScalarFunctionDtoType | : | new() |

## Constructor & Destructor Documentation

IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.VectorFunctionScriptDtoBase | ( |  | ) |
| inline

Default constructor, sets IsNull to true.

IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.VectorFunctionScriptDtoBase | ( | int | spaceDimension | ) |
| inline

Constructor, prepares the current DTO for storing a scalar function of the specified dimension.

Parameters

  spaceDimension | Dimension of a vector that is stored in the current DTO.

## Member Function Documentation

abstract FunctionControllerType IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.CreateVectorFunctionController | ( | int | numParameters,
|  | int | numValues
| ) |  |
| pure virtual

Creates and returns a new vector cast to the interface type IVector.

Parameters

  numParameters | Number of function parameters (dimension of its domain).
  numValues | Numberr of function values (dimension of its codomain).

Implemented in IG.Num.VectorFunctionScriptDto.

override FunctionControllerType IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.CreateObject | ( |  | ) |
| inline

Creates and returns a new vector of the specified type and dimension.

override void IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.CopyFromPlain | ( | VectorFunctionScriptController | functionController | ) |
| inline protected

Copies data to the current DTO from a scaalr function object.

Parameters

  functionController | Scalar function object from which data is copied.

References IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.Description, IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.FunctionNames, IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.Name, IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.NumParameters, IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.NumValues, and IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.ParameterNames.

override void IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.CopyToPlain | ( | ref VectorFunctionScriptController | functionController | ) |
| inline protected

Copies data from the current DTO to a scalar function object.

Parameters

  functionController | Scalar function object that data is copied to.

## Property Documentation

ScalarFunctionDtoType [] IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.ScalarFunctions
| get set

Array of scalar function controller DTOs.

virtual int IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.NumParameters
| get set

Dimension of the parameter space.

virtual int IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.NumValues
| get set

Dimension of function codomain (i.e., the number of returned values).

virtual string IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.Name
| get set

Scalar function name.

virtual string IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.Description
| get set

Scalar function description.

virtual string [] IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.ParameterNames
| get set

Names of function parameters.

virtual string [] IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.FunctionNames
| get set

Names of function values, i.e. scalar funcitons that define return values of the vector function.

virtual string IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.ZType
| get set

virtual InputOutputDataDefinitonDto IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.ZDataDefinition
| get set

Referenced by IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.SaveJson().

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/VectorFunctionDto.cs